import { Pipe, PipeTransform } from '@angular/core';

/**
 * Generated class for the FilterLangPipe pipe.
 *
 * See https://angular.io/api/core/Pipe for more info on Angular Pipes.
 */
@Pipe({
  name: 'filterLang',
})
export class FilterLangPipe implements PipeTransform  {
  /**
   * return the correct translated values.
   */
  transform(value: string, valuen:string) {
    let desc =value;
    if(valuen){
    let lang= localStorage.getItem('language');
       lang = lang!=null ? lang:'2';
       if(lang=='2'){
        desc=value;
       }else{
        desc=valuen;
       }
      }
      return desc
  }
}
